@import '../../../../styles/colors.scss';
@import '../../../../styles/responsive.scss';
@import '../../../../styles/sizes.scss';
@import '../../../../styles/fonts.scss';
.contact {
    background-color: $primarycolor;
    min-height: 95vh;
    @include tablet {
        min-height: 100vh;
    }
    @include desktop {
        min-height: 100vh;
        position: relative;
        padding: 20px 0 0 0;
        margin-top: -1px;
    }
    .leaf1 {
        display: none;
        @include tablet {
            display: block;
            position: absolute;
            top: 100px;
            left: 0;
            width: 20%;
        }
        @include desktop {
            display: block;
            position: absolute;
            top: 100px;
            left: 0;
        }
    }
    .leaf2 {
        display: none;
        @include tablet {
            display: flex;
            position: absolute;
            bottom: 100px;
            right: 0;
            width: 20%;
        }
        @include desktop {
            display: flex;
            position: absolute;
            bottom: 100px;
            right: 0;
        }
    }
    &__title {
        margin: -1px 0 0 0;
        text-align: center;
        padding: 60px 0 0 0;
        font-family: $titlefont;
        font-size: $titlesize;
    }
    &__form {
        margin: 20px;
        padding: 20px;
        border: 1px solid $secondaycolor;
        border-radius: 2%;
        position: relative;
        @include tablet {
            width: 50%;
            margin: 40px auto;
        }
        @include desktop {
            width: 30%;
            margin: 40px auto;
        }
        &-fieldset {
            display: flex;
            flex-direction: column;
            text-align: center;
            border: 0;
            .label {
                font-family: $bodyfont;
                font-size: $bodysize;
                margin: 10px 0;
                color: $secondaycolor;
            }
            .input {
                font-family: $bodyfont;
                width: 60%;
                height: 30px;
                margin: 0 auto;
                border: 0;
                border-radius: 10px;
                cursor: crosshair;
                &:focus {
                    background-color: $detailcolor;
                }
                @include tablet {
                    width: 50%;
                }
                @include desktop {
                    width: 60%;
                }
            }
            .textarea {
                width: 60%;
                height: 100px;
                margin: 0 auto;
                border: 0;
                border-radius: 10px;
                cursor: crosshair;
                &:focus {
                    background-color: $detailcolor;
                }
                @include tablet {
                    width: 70%;
                }
                @include desktop {
                    width: 80%;
                }
            }
            .disclamer {
                margin: 10px 0 0 0;
                &__message {
                    font-family: $bodyfont;
                    color: $dangercolor;
                    font-weight: 700;
                }
            }
        }
        &-button {
            display: block;
            margin: 20px auto 0 auto;
            padding: 10px 40px;
            border: 0;
            border-radius: 20px;
            background-color: $secondaycolor;
            color: $detailcolor;
            font-family: $bodyfont;
            font-size: $buttonsize;
            text-transform: uppercase;
            cursor: crosshair;
            &:hover {
                background-color: $detailcolor;
                color: $secondaycolor;
            }
        }
        .message-final {
            font-family: $bodyfont;
            position: absolute;
            font-size: 17px;
            text-align: center;
            border: 2px solid #ffffff;
            border-radius: 20px;
            padding: 15px;
            bottom: -95px;
            width: 81%;
            font-weight: 700;
            @include desktop {
                font-size: 16px;
            }
        }
    }
    .go-back {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
        margin: 150px 0 40px 0;
        &__arrow {
            font-size: 20px;
            padding: 0 10px;
            &:hover {
                color: $primarycolor;
                cursor: crosshair;
            }
        }
        &__button {
            border: 0;
            background-color: transparent;
            font-weight: 700;
            padding: 0;
            font-size: 20px;
            &:hover {
                color: $primarycolor;
                cursor: crosshair;
            }
        }
    }
}

// Animation
.fade-in {
    animation: fadeIn ease 5s;
    -webkit-animation: fadeIn ease 5s;
    -moz-animation: fadeIn ease 5s;
    -o-animation: fadeIn ease 5s;
    -ms-animation: fadeIn ease 5s;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@-moz-keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@-webkit-keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@-o-keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@-ms-keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}